#include <Servo>
#include <DFRobot_QMC5883>

#define DECLINATION -0.353429173528852

#ifndef SERVO_H
#define SERVO_H

class ServoController {
    private:
        float headingDegress;

        Servo HrzSrv;
        Servo VrtSrv;
        DFRobot_QMC5883 mag{&Wire, 0xD};

    public:
        void initServos();
        void initMag();
        void moveToAzAlt();
        void moveToRADec();
        void updateHeading();
};

#endif
